
Ruby - Bug #11914

2.2.4: Parsing "symbol:%w(word)" gives SyntaxError

12/28/2015 10:08 PM - allenfair (Allen Fair)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.2.4p230 (2015-12-16 revision

53155) [x86_64-darwin14]

Backport: 2.0.0: DONTNEED, 2.1: DONTNEED,

2.2: DONE, 2.3: DONTNEED

Description

This snippet does not parse correctly, only in ruby 2.2.4: {a:%w(a)}

Adding a space after the "a:" works.

irb(main):001:0> RUBY_VERSION

=> "2.2.4"

irb(main):002:0> {a:%w(a)}

SyntaxError: (irb):2: syntax error, unexpected '%'

{a:%w(a)}

    ^

(irb):2: syntax error, unexpected '}', expecting end-of-input

 from /Users/allen/.rbenv/versions/2.2.4/bin/irb:11:in `<main>'

irb(main):003:0> {a: %w(a)}

=> {:a=>["a"]}

 This works (without the space) in 2.2.3 and 2.3.0

Work-around: add the space after the colon.

My search failed to find an existing issue, but hope this isn't a repeat.

Thanks!

Related issues:

Is duplicate of Ruby - Bug #11833: 2.2.4 syntax error when naked percent nota... Closed

Is duplicate of Ruby - Bug #11812: Lack of space between colon and % literal ... Closed

History

#1 - 12/28/2015 10:56 PM - hsbt (Hiroshi SHIBATA)

- Is duplicate of Bug #11833: 2.2.4 syntax error when naked percent notation touches keyword arguments  added

#2 - 12/28/2015 10:57 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

#3 - 12/29/2015 12:10 AM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #11812: Lack of space between colon and % literal causes syntax error added

#4 - 02/03/2016 10:50 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE,

2.3: DONTNEED
